curl --request PUT \
--url https://api.rownd.io/me/groups/{group}/invites/{invite} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": [
"editor"
],
"email": "randy@foo.com",
"phone": 19199993333,
"user_id": "user_mni5316glfgwtgljboxrv2it",
"redirect_url": "/somewhere/on/my/site#",
"app_variant_id": "<string>"
}
'import requests
url = "https://api.rownd.io/me/groups/{group}/invites/{invite}"
payload = {
"roles": ["editor"],
"email": "randy@foo.com",
"phone": 19199993333,
"user_id": "user_mni5316glfgwtgljboxrv2it",
"redirect_url": "/somewhere/on/my/site#",
"app_variant_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
roles: ['editor'],
email: 'randy@foo.com',
phone: 19199993333,
user_id: 'user_mni5316glfgwtgljboxrv2it',
redirect_url: '/somewhere/on/my/site#',
app_variant_id: '<string>'
})
};
fetch('https://api.rownd.io/me/groups/{group}/invites/{invite}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update a group invite
User-facing API for updating a group invite
Authorizations
Bearer authentication header of the form Bearer <token> where <token> is the user's Rownd JWT
Body
The roles into which a group member will be added upon invite acceptance (The first member invited to a group will always be created with the 'owner' role along with any additional roles specified)
["editor"]
The email of a Rownd user in the specified application. This property is mutually exclusive
with user_id and email
"randy@foo.com"
The phone number of a Rownd user in the specified application. This property is mutually
exclusive with user_id and email
19199993333
The ID of a Rownd user in the specified application. This property is mutually exclusive with
phone and email
"user_mni5316glfgwtgljboxrv2it"
The relative or absolute path location to which a user will be directed after accepting the invite
"/somewhere/on/my/site#"